# OpenLayers.Geometry.MultiLineString

A MultiLineString is a geometry with multiple OpenLayers.Geometry.LineString components.

#### Inherits from

- OpenLayers.Geometry.Collection
- OpenLayers.Geometry

Summary

OpenLayers.Geometry.MultiLineString | A MultiLineString is a geometry with multiple OpenLayers.Geometry.LineString components.
Properties |
componentTypes | {Array(String)} An array of class names representing the types of components that the collection can include.
Constructor |
OpenLayers.Geometry.MultiLineString | Constructor for a MultiLineString Geometry.
Functions |
split | Use this geometry (the source) to attempt to split a target geometry.
splitWith | Split this geometry (the target) with the given geometry (the source).

### Properties

### componentTypes

{Array(String)} An array of class names representing the types of components that the collection can include. A null value means the component types are not restricted.

### Constructor

### OpenLayers.Geometry.MultiLineString

Constructor for a MultiLineString Geometry.

#### Parameters

components | {Array(OpenLayers.Geometry.LineString)}

### Functions

### split

> split: function( | geometry,
> | options | )

Use this geometry (the source) to attempt to split a target geometry.

#### Parameters

target | {OpenLayers.Geometry} The target geometry.
options | {Object} Properties of this object will be used to determine how the split is conducted.

#### Valid options

mutual | {Boolean} Split the source geometry in addition to the target geometry. Default is false.
edge | {Boolean} Allow splitting when only edges intersect. Default is true. If false, a vertex on the source must be within the tolerance distance of the intersection to be considered a split.
tolerance | {Number} If a non-null value is provided, intersections within the tolerance distance of an existing vertex on the source will be assumed to occur at the vertex.

#### Returns

{Array} A list of geometries (of this same type as the target) that result from splitting the target with the source geometry. The source and target geometry will remain unmodified. If no split results, null will be returned. If mutual is true and a split results, return will be an array of two arrays - the first will be all geometries that result from splitting the source geometry and the second will be all geometries that result from splitting the target geometry.

### splitWith

> splitWith: function( | geometry,
> | options | )

Split this geometry (the target) with the given geometry (the source).

#### Parameters

geometry | {OpenLayers.Geometry} A geometry used to split this geometry (the source).
options | {Object} Properties of this object will be used to determine how the split is conducted.

#### Valid options

mutual | {Boolean} Split the source geometry in addition to the target geometry. Default is false.
edge | {Boolean} Allow splitting when only edges intersect. Default is true. If false, a vertex on the source must be within the tolerance distance of the intersection to be considered a split.
tolerance | {Number} If a non-null value is provided, intersections within the tolerance distance of an existing vertex on the source will be assumed to occur at the vertex.

#### Returns

{Array} A list of geometries (of this same type as the target) that result from splitting the target with the source geometry. The source and target geometry will remain unmodified. If no split results, null will be returned. If mutual is true and a split results, return will be an array of two arrays - the first will be all geometries that result from splitting the source geometry and the second will be all geometries that result from splitting the target geometry.

A LineString is a Curve which, once two points have been added to it, can never be less than two points long.

> split: function( | geometry,
> | options | )

Use this geometry (the source) to attempt to split a target geometry.

> splitWith: function( | geometry,
> | options | )

Split this geometry (the target) with the given geometry (the source).
A Collection is exactly what it sounds like: A collection of different Geometries.
A Geometry is a description of a geographic object.
Close